
Infrastructure - Task #4103

ONEMercury should not show MNs in the node list if they haven't been synchronized

2013-10-17 19:24 - Dave Vieglais

Status: Closed Start date: 2013-10-29

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Member Nodes can be in a state where they are registered in an environment but not yet actively participating (i.e. have not yet been

synchronized). Such nodes will appear in the ONEMercury interface though will not return any search results. This may present the

MN in a detrimental fashion, and should be avoided.

Checking the last harvest date for the node and excluding nodes that show a time stamp far in the past seems like an appropriate

mechanism to exclude them from the list of nodes appearing in the ONEMercury search interface.

Related issues:

Related to Infrastructure - Story #4193: Release CCI 1.2.4 Features Closed 2013-12-11 2013-12-14

History

#1 - 2013-10-29 15:43 - Skye Roseboom

- Estimated time set to 0.00

- Tracker changed from Bug to Task

#2 - 2013-10-29 22:41 - Dave Vieglais

The time stamp for "far in the past" should be before when DataONE came online. Synchronization could not possibly have happened before July 1,

2012. This would apply to nodes that have sync in the off state as well.

Note that this will currently exclude replication only member nodes from appearing in the list, though this can be easily resolved by syncing replication

nodes at least once.

#3 - 2013-10-29 23:31 - Skye Roseboom

- Start date set to 2013-10-29

- Status changed from New to In Progress

#4 - 2013-10-30 15:25 - Skye Roseboom

- Status changed from In Progress to Testing

Update to:

MemberNodeSourcesMapCache.java

Mercury3Properties.xml

If a node's lastHarvestedDate is before the 'node_sync_stale_date' (2012-07-01), it will not be displayed in the member node list in one-mercury.
#5 - 2013-12-11 20:31 - Skye Roseboom

- Status changed from Testing to Closed

Tested on cn-stage-2 from release branch for CCIT release 1.2.4.
